const dataset = {
  state: {
    parentData: JSON.parse(localStorage.getItem("parentData")) || {},
    areaHomepage: true,
    menuShow: false,
    currentTime: '',
  },
  mutations: {
    setCurrentTime(state, time) {
      state.currentTime = time
    },
    setParentData(state, parentData) {
      localStorage.setItem("parentData", JSON.stringify(parentData));
      state.parentData = parentData;
    },
    setMenuStatus(state, show) {
      state.menuShow = show
    }
  }
};
export default dataset;